# Run Neg Binomial Spatial Hurdle Model
# Infiles:  1) Model = E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Model/Spatial hurdle model.txt
#		        2) Data  = E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Data/spatialhurldedata.txt
#		        3) Inits = E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Coda/inits.txt
# Outfiles:            E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Coda/coda1.txt (coda file)
# Oct 29, 2012
#####################
library(R2WinBUGS)

 source("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Makedata/writeDatafileR.txt")
 parms<-c("alpha","beta","Sigma.phi","Phi","r")
 model<-"E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Model/Spatial hurdle model.txt"
 data<-dget(paste("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Data/spatialhurdledata.txt",sep=""))
 tmp<-proc.time()
 results<-bugs(data=data,inits="inits.txt",parameters.to.save=parms,model.file=model,
  		         n.chains=1, n.iter=10000, n.burnin=5001, n.thin=5,save.history=F,
		           DIC=F,codaPkg=T,debug=F,#bugs.seed=021820,
		           working.directory=paste("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/Coda/",sep=""))

 totime<-proc.time()-tmp          # Takes about 12.5 Min to run 10K Iterations

 # Remove Unnecessary files
 file.remove(c(paste("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/coda/script.txt",sep=""),
		   paste("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/coda/data.txt",sep=""),
		   paste("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/coda/log.txt",sep=""),
		   paste("E:/Brian/Negative Binomial Regression in WinBUGS/R2WinBUGS/coda/log.odc",sep="")))



